curl --request GET \
--url https://api.lemlist.com/api/contacts/{idOrEmail} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/contacts/{idOrEmail}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/contacts/{idOrEmail}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/contacts/{idOrEmail}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/contacts/{idOrEmail}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "ctc_xW8Ou6C03Csv8vatp",
"teamId": "tea_8QvkOiBfPdb2ZRhHi",
"fullName": "John Doe",
"email": "support@lemlist.com",
"fields": {
"firstName": "John",
"jobTitle": "Growth Engineer",
"lastName": "Doe",
"industry": "Technology",
"isActiveInCampaigns": false,
"lastCampaign": "NEW TO DELETE",
"lastLeadMarkedAsInterestedDate": "2025-10-28T02:12:31.971Z",
"leadStatus": "Marked as not Interested by api"
},
"campaigns": [
{
"campaignId": "cam_bSn8EORHQxbWPjHvu",
"campaignState": "running",
"leadState": "review",
"leadId": "lea_fiDpiGV585wy3Oii2"
}
],
"ownerId": "usr_ahfFktBBHUIxbVG5P",
"createdAt": "2025-10-28T00:40:37.917Z",
"createdBy": "usr_ahfFktBBHUIxbVG5P",
"unsubscribed": false
}"Bad team""The authentication you supplied is incorrect"Get Contact
Retrieves a specific contact by their ID or email address.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier or email of the contact
Response
Success
A contact record in your CRM. Not to be confused with a lead which is a contact specifically added to a campaign.
Unique contact identifier
Team identifier the contact belongs to
Contact's calculated full name
Contact's primary email address
Custom fields associated with the contact
List of campaigns the contact is associated with
Show child attributes
Show child attributes
ID of the user who owns this contact
Contact creation timestamp
ID of the user who created the contact
Whether the contact is globally unsubscribed. When true, no outreach will be sent to this contact.
Was this page helpful?